Bug 447472 - Mesa: Some graphics-eyecandy doesn't display on VIA KM400 IGP
Mesa: Some graphics-eyecandy doesn't display on VIA KM400 IGP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 20:25 EDT by Chris Schembari
Modified: 2008-06-16 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from "glxinfo -i -l -t -v" (7.74 KB, text/plain)
2008-05-19 20:25 EDT, Chris Schembari
no flags Details
Composite of four screenshots from blobAndConquer 0.91, on my VIA box. (232.37 KB, image/jpeg)
2008-05-19 20:28 EDT, Chris Schembari
no flags Details

  None (edit)
Description Chris Schembari 2008-05-19 20:25:37 EDT
Description of problem:
This bug shows up with my first home-brew PC using an Abit VA-10 motherboard
with an S3 UniChrome/VIA KM400 IGP; but it does not on my newest home-brew box
that uses an ECS GeForce 6100SM-M2 motherboard with an NVidia MCP61S IGP.
  The bug causes certain graphics in blobAndConquer and SuperTux to not display
properly, to the extent that those graphics elements appear as empty, glaring
white boxes.  The places where this occurs in blobAndConquer are obvious from
the attached screenshots.  In SuperTux, it shows up in a loss of background
pictures, which are all washed-out; but the most obvious place it shows up is on
two game levels: "No More Mr. Ice Guy" and the hidden bonus level, "Light and
Magic".  In NMMIG, when you defeat the Ice Guy, half the screen disappears and
goes white, but the game is still playable.  On the NVidia box, I learned that
this is when you see an even _more_ cartoonish picture of the Ice Guy with stars
and little birds flying around his head.  In LaM, the entire level is
unplayable, since everything, even Tux himself, is now invisible and the whole
screen again goes white.
  I first thought this was a bug against blobAndConquer, and filed a bug report
against it, but I was advised that this was really a problem with mesa, and told
to file this report. See my screenshot attachment (#305309) to bug #446306, as
well as the below.  Please note that all screenshots in attachment #305309 [details] were
taken on the above NVidia box, whereas most of the below were taken on this VIA box.

Version-Release number of selected component (if applicable):
  In querying for existing mesa bugs, I found mention of the "glxinfo" command,
and included its verbose output below.

How reproducible:
  Problem appears 100% consistently in certain graphical parts of blobAndConquer
and SuperTux, as already described.

Steps to Reproduce:
1. Install each game.
2. Start one game or the other.
3. [With regards to blobAndConquer] stumble through various parts of the game
without benefit of some of the game's provided data.
  
Actual results:
White boxes

Expected results:
Properly displayed graphics

Additional info:
  This bug may be affecting some elements' display in Adanaxis, as well, but I
can't say for sure as I haven't tried that game on the NVidia box yet.
Comment 1 Chris Schembari 2008-05-19 20:25:37 EDT
Created attachment 306036 [details]
Output from "glxinfo -i -l -t -v"
Comment 2 Chris Schembari 2008-05-19 20:28:17 EDT
Created attachment 306037 [details]
Composite of four screenshots from blobAndConquer 0.91, on my VIA box.
Comment 3 Bug Zapper 2008-06-16 23:08:20 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.